Skip to main content
GET
Get Disputes

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The ID of the shop.

Body

application/json
page
integer | null

Page number.

Example:

1

perPage
integer | null

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

statuses
enum<string>[]
Available options:
needs_response,
under_review,
won,
lost,
accepted,
expired,
prevented,
canceled,
closed
Example:

null

reasons
string[]

Must not be greater than 40 characters.

Example:

null

gateways
string[]

Must not be greater than 50 characters.

Example:

null

due
enum<string> | null

Only disputes needing a response within 24h, 72h or 7d.

Available options:
24h,
72h,
7d
Example:

null

search
string | null

Buyer email, invoice ID or dispute ID. Must not be greater than 191 characters.

Example:

null

opened_at_start
string | null

Must be a valid date.

Example:

null

opened_at_end
string | null

Must be a valid date. Must be a date after opened_at_start.

Example:

null

closed_at_start
string | null

Must be a valid date.

Example:

null

closed_at_end
string | null

Must be a valid date. Must be a date after closed_at_start.

Example:

null

orderColumn
enum<string> | null
Available options:
id,
opened_at,
evidence_due_at,
amount_usd
Example:

null

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

null

warnings
boolean | null

List Stripe early fraud warnings instead of disputes.

Example:

null

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/disputes?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/disputes?page=1"

Example:
next_page_url
string | null
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/disputes"

per_page
integer
Example:

20

prev_page_url
string | null
Example:

null

to
integer
Example:

1

total
integer
Example:

1